scim::MethodSlot0< T, R > Class Template Reference
SignalSlot

A slot template for methods in a class of type T taking no arguments and returning a value of type R. More...

`#include <scim_slot.h>`

## Public Member Functions

| MethodSlot0 (T *object, PMF function)
virtual R | call () const
Public Member Functions inherited from scim::Slot0< R >
R | operator() () const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot0< R >
| Slot0 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename T, typename R>
class scim::MethodSlot0< T, R >

A slot template for methods in a class of type T taking no arguments and returning a value of type R.

## Constructor & Destructor Documentation

## MethodSlot0()

template<typename T, typename R>

scim::MethodSlot0< T, R >::MethodSlot0 | ( | T * | object,
|  | PMF | function )

inline

Construct a new method slot for a class member function.

Parameters

  object | - a pointer to an object of type T.
  function | - a class method with the signature R (T::*PMF)().

## Member Function Documentation

## call()

template<typename T, typename R>

virtual R scim::MethodSlot0< T, R >::call | ( |  | ) | const

inline virtual

Calls the class method connected to this slot.

Returns
  a value of type R returned by the called method.

Implements scim::Slot0< R >.

The documentation for this class was generated from the following file:

- scim_slot.h